<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_4d707fab" . "93bebb00b" . "be69e8159" . "697c90" => base64_decode(""), "_579a56d075" . "a77c2a32e44" . "56504b0c2d6" => base64_decode("REVMRVRFIEZST00gRVJNU19hdWRpdF9sb" . "2dfdHh0IFdIRVJFIGNhdGVnb3J5IGVxOn" . "N0cjpuX2NhdCBBTkQgb2JqX2lkPWludDp" . "vYmpfaWQ="), "_0c5123aa744f69bbc0e8b3ea2f6e847" . "d" => base64_decode("bG1" . "zZw" . "=="), "_de2464272b3994f2" . "82dc91c611bc9d55" => base64_decode("IE9SREVSIEJZIGR0IEFTQywgZHQyIE" . "FTQw=="), "_8c3c34454cbcd9535b2e99" . "795d4d5ba7" => base64_decode("IEFORCBzdWJfY" . "2F0IGVxOnN0cj" . "puX3N1Yg=="), "_008f6ae2e5f89e" . "09baff34c0d2fea" . "915" => base64_decode("ZG9jdW1" . "lbnRz"), "_2da6e43eb49a13e85f6500b" . "fe4fceb5b" => base64_decode("IC" . "0g"), "_e21aea73c33e96ef626d3b3bf9623" . "593" => base64_decode("YXJyY" . "XlfcH" . "VzaA=" . "="), "_c33d78c9ec104343758d548634" . "0b15c9" => base64_decode("ZG9jdW1lbnRzLmF1ZGl0LnBhcmFtZXRlcnNfa" . "W5jb21wbGV0ZQ=="), "_0f21b7f12090a4a551ae636b" . "e15bc235" => base64_decode("ZG9jdW1lbnRzLmF1ZGl0LnVua25vd25f" . "YWdncmVnYXRpb24="), "_eba5e0f2bed17756eca" . "5406633c28b03" => base64_decode("Zm9sZGVycw" . "=="), "_5846ddea7ff6d30bd0e7b4a8171" . "0776e" => base64_decode("YXJyYXlfc2h" . "pZnQ="), "_42e4988f0cb4bcf672" . "244a703a3b6636" => base64_decode("ZG9jdW1lbnRzLmF1ZGl0Lm9iamVjdF9pZ" . "F9ub3RfZGVmaW5lZA=="), "_47b0f57fdca53ee76624f970bcfe6" . "b86" => base64_decode("U0VMRUNUIGR0LHVzZXJpZCxpcF9hZGRyLHByb3h5X2lwLHR5cGUsY2F0ZWdvcnksc3ViX2NhdCxvYmpfaWQsZGV0YWlscyBGUk9NIEVSTVNfYXVkaXRfbG9nX3R4dAoJCSAgICAgICAgICAgICAgICBXSEVSRSBjYXRlZ29yeSBlcTpzdHI6bl9jYXQgQU5EIG9ial9p" . "ZD1pbnQ6b2JqX2lk"));
use Claromentis\Core\DAL;
class ERMSAudit extends ErrorHandler
{
    protected $obj_id;
    protected $obj_type;
    protected $audit_category;
    protected $audit_events;
    public function __construct($_01ae63927cddbad58fea82ff8663c880 = null)
    {
        $this->audit_events = array();
        if ($_01ae63927cddbad58fea82ff8663c880) {
            $this->LoadObjectProp($_01ae63927cddbad58fea82ff8663c880);
        }
    }
    
    
    
    
    
    
    
    
    
    
    public function AuditStore($_1f24efd4735b7a11b391147435e7d35d, $_c5eb4e7a08c3ad983e33b7ea72cd01de, $_9ffe981cb9413551842195b3adb6bb3d)
    {
        if (!$_c5eb4e7a08c3ad983e33b7ea72cd01de) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c33d78c9ec104343758d5486340b" . "15c9"]));
        }
        if (!ClaAudit::Need2Store($this->audit_category, $_c5eb4e7a08c3ad983e33b7ea72cd01de)) {
            return true;
        }
        $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e21aea73c33e96ef626d3b3bf96" . "23593"]($this->audit_events, array($_1f24efd4735b7a11b391147435e7d35d, $_c5eb4e7a08c3ad983e33b7ea72cd01de, $_9ffe981cb9413551842195b3adb6bb3d));
        return true;
    }
    
    
    
    
    
    public function FlushAuditEvents()
    {
        if (!$this->obj_id) {
            return;
        }
        while ($event = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5846ddea7" . "ff6d30bd0e" . "7b4a817107" . "76e"]($this->audit_events)) {
            ClaAudit::Store($event[0], $this->audit_category, $event[1], $this->obj_id, $event[2]);
        }
    }
    
    
    
    
    
    public function emptyAuditEvents()
    {
        $this->audit_events = array();
    }
    
    
    
    
    
    
    
    public function LoadObjectProp($_01ae63927cddbad58fea82ff8663c880)
    {
        $this->SetObjectID($_01ae63927cddbad58fea82ff8663c880->GetID());
        return $this->SetAggregation($_01ae63927cddbad58fea82ff8663c880->GetAggregation());
    }
    
    
    
    
    
    
    
    public function SetAggregation($aggregation)
    {
        $this->obj_type = $aggregation;
        switch ($aggregation) {
            case AGGREGATION_DATA:
                $_df219e31260c5102c6e8dcf2b6e61703 = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_008f6ae2e5f89e09baff34c0d2fea" . "915"];
                break;
            case AGGREGATION_FOLDER:
                $_df219e31260c5102c6e8dcf2b6e61703 = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_eba5e0f2" . "bed17756e" . "ca5406633" . "c28b03"];
                break;
            default:
                return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0f21b7f12090a4a551" . "ae636be15bc235"]) . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2da6e43eb49a13e85f650" . "0bfe4fceb5b"] . $aggregation);
        }
        $this->audit_category = $_df219e31260c5102c6e8dcf2b6e61703;
        return true;
    }
    
    
    
    
    
    
    
    public function SetObjectID($id)
    {
        if (!$id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_42e4988f0cb4b" . "cf672244a703a3" . "b6636"]));
        }
        $this->obj_id = $id;
        return true;
    }
    
    
    
    
    
    public function DeleteAuditEvents()
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!$this->obj_id) {
            return;
        }
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_579a56d07" . "5a77c2a32e" . "4456504b0c" . "2d6"], $this->audit_category, $this->obj_id);
    }
    
    
    
    
    
    
    
    
    public function GetAuditEvents($_c5eb4e7a08c3ad983e33b7ea72cd01de = '')
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = array();
        $_43da825a668db5edc85134eb06cc1e0e = $_c5eb4e7a08c3ad983e33b7ea72cd01de ? new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8c3c34454cbcd95" . "35b2e99795d4d5ba" . "7"], $_c5eb4e7a08c3ad983e33b7ea72cd01de) : new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb00bbe69e81" . "59697c90"]);
        $_d88b50ddb42db648a9c7ac08065b9409 = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_47b0f57fdca53ee76624f970bcfe" . "6b86"] . $_43da825a668db5edc85134eb06cc1e0e->AsPart() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_de2464272b3994f282dc91" . "c611bc9d55"], $this->audit_category, $this->obj_id);
        $_d88b50ddb42db648a9c7ac08065b9409->BindPart($_43da825a668db5edc85134eb06cc1e0e);
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($_d88b50ddb42db648a9c7ac08065b9409);
        while ($_343a395319323dd7609bcbc465b4d034 = $_1f24efd4735b7a11b391147435e7d35d->fetchArray()) {
            $_189840d11056515e52402d1412a0b6e4[] = $_343a395319323dd7609bcbc465b4d034;
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    public function GetAuditCategory()
    {
        return $this->audit_category;
    }
}